"""Import all the functions from construct_splines to top level.

:author: Shay Hill
:created: 2023-02-08
"""
from .bezier_curve import BezierCurve
from .bezier_spline import BezierSpline
from .construct_splines import (
    new_closed_approximating_spline,
    new_closed_interpolating_spline,
    new_open_approximating_spline,
    new_open_interpolating_spline,
)

__all__ = [
    "new_open_approximating_spline",
    "new_closed_approximating_spline",
    "new_open_interpolating_spline",
    "new_closed_interpolating_spline",
    "BezierCurve",
    "BezierSpline",
]
